Subject: bug#43513: json-c build failure (on armhf-linux) while trying to build u-boot

From: Ludovic Courtès <[email-masked]>
Date: Fri, 25 Sep 2020 18:02:54 +0200

Danny Milosavljevic <[email-masked]> skribis:

> On Fri, 25 Sep 2020 12:13:40 +0200
> Ludovic Courtès <[email-masked]> wrote:
>
>> Let’s fix CMake (and JSON-C?) in ‘core-updates’ or ‘staging’ (using a
>> graft for CMake wouldn’t help because CMake is used at build time.)
>
> Sure--cmake upstream will fix it anyway and make a new release.
>
> But I now opened bug# 43591 on guix-patches in order to find all the OTHER
> problems this causes we didn't see yet.  I already ran it on my laptop in
> order to find all the users trying to stick a 64-bit value into a 32-bit
> slot and it looks very bad--there are instances of this problem in libstdc++,
> binutils bfd etcetc.

Hmm, it’s this bad?

> I suggest to delete all ARM substitutes that were built on x86_64 machines
> and disable the builders using x86_64 to build ARM stuff in the mean time.
> What that has built is VERY MUCH not reliable since readdir() was broken
> sporadically--and compilers need that :P

What are the odds of a build succeeding in the presence of broken
getdents/readdir?  Wouldn’t such builds simply fail (as in the CMake
case), as opposed to succeeding but somehow producing invalid binaries?

We can still disabled emulated builds on ci.guix.gnu.org, but let’s
first make sure we understand the practical impact of this bug.

> I thought this matter with making everyone use LFS was settled in about
> 2007--but no, here we go again :(

Yeah.  :-/

Ludo’.